<script>
import Vue from 'vue';
import GradientLineBlock from './gradient-line-block.vue';
import costROICalculator from '~/components/calculator/cost-roi.vue';

export default Vue.extend({
  name: 'RoiCalculatorBlock',
  components: {
    costROICalculator,
    GradientLineBlock,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
  data() {
    return {
      content: false,
    };
  },
  async fetch() {
    if (!('calc_data_src' in this.data)) {
      return;
    }
    const content = await this.$content(this.data.calc_data_src).fetch();
    this.content = content;
  },
  computed: {
    calc_data() {
      return 'calc_data_src' in this.data ? this.content : this.data;
    },
  },
});
</script>

<template>
  <section :id="data.id" class="roi-calculator-block">
    <GradientLineBlock :data="data.header">
      <costROICalculator
        v-if="calc_data"
        :cost-data="calc_data.cost_roi"
        :cost-results-data="calc_data.cost_results"
        :tooltip-data="calc_data.tooltips"
        :premium-features="calc_data.premium_features"
        :ultimate-features="calc_data.ultimate_features"
        :spend-tooltip="calc_data.currentSpendTooltip"
      />
    </GradientLineBlock>
  </section>
</template>

<style lang="scss" scoped>
.roi-calculator-block {
  &:deep(.form) {
    border-radius: 8px;
  }
}
</style>
